%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-kaa-display
Version:        0.1.0
Release:        13%{?dist}
Summary:        Python API providing Low level support for various displays

Group:          Development/Languages
License:        LGPLv2+
URL:            http://www.freevo.org/kaa
Source0:        http://downloads.sourceforge.net/freevo/kaa-display-%{version}.tar.gz
Patch0:         kaa-display-0.1.0-backport.patch
Patch1:         kaa-display-0.1.0-hack_imlib2_x11_support.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  python-kaa-base >= 0.1.2
BuildRequires:  python-kaa-imlib2 >= 0.2.0
BuildRequires:  pygame-devel >= 1.6.0
BuildRequires:  imlib2-devel >= 1.2.1
BuildRequires:  SDL-devel >= 1.2.5
BuildRequires:  libXcomposite-devel

%description
Low level support for various displays, such as X11 or
framebuffer. Provides X11Display and X11Window classes for managing
X11 windows, with optional support for Imlib2 (render Imlib2 images to
X11 windows), and pygame (render Imlib2 images to pygame surfaces).


%prep
%setup -q -n kaa-display-%{version}
%patch0 -p1 -b .backport
%patch1 -p1 -b .hack

#Fix encoding
cp -pr AUTHORS AUTHORS.not-utf8
iconv -f ISO_8859-1 -t UTF8 AUTHORS.not-utf8 > AUTHORS
touch -r AUTHORS.not-utf8 AUTHORS
rm AUTHORS.not-utf8


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{python_sitearch}/*


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Mar 08 2010 Nicolas Chauvet <kwizart@fedoraproject.org> - 0.1.0-3
- Rebuilt for #564886

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 30 2009 kwizart < kwizart at gmail.com > - 0.1.0-1
- Initial spec file
